/* This file is part of the ili2ora project.
 * For more information, please see <http://www.interlis.ch>.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package ch.ehi.ili2ora.gui;
import ch.ehi.basics.logging.EhiLogger;

/**
 * @author ce
 * @version $Revision: 1.0 $ $Date: 10.02.2005 $
 */
public class Main {

	public static void main(String dbhost,String dbport,String dbname,String dbusr,String dbpwd,String modeldir,String models,String createscript,String dropscript,String xtffile,String mappingConfig) {
		MainFrame frame=new MainFrame();
		EhiLogger.getInstance().addListener(new LogListener(frame));
		if(dbhost!=null){
			frame.setDbhost(dbhost);
		}
		if(dbport!=null){
			frame.setDbport(dbport);
		}
		if(dbname!=null){
			frame.setDbname(dbname);
		}
		if(dbusr!=null){
			frame.setDbusr(dbusr);
		}
		if(dbpwd!=null){
			frame.setDbpwd(dbpwd);
		}
		if(modeldir!=null){
			frame.setModeldir(modeldir);
		}
		if(models!=null){
			frame.setModels(models);
		}
		if(createscript!=null){
			frame.setCreatescript(createscript);
		}
		if(dropscript!=null){
			frame.setDropscript(dropscript);
		}
		if(xtffile!=null){
			frame.setXtffile(xtffile);
		}
		if(mappingConfig!=null){
			frame.setMappingconfig(mappingConfig);
		}
		frame.show();
	}
}
